SDL_GetRenderSafeArea(3)

NAME
SDL_GetRenderSafeArea - Get the safe area for rendering within the current viewport.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_GetRenderSafeArea(SDL_Renderer *renderer, SDL_Rect *rect);

DESCRIPTION
Some devices have portions of the screen which are partially obscured or not interactive, possibly due to on-screen controls, curved edges, camera notches, TV overscan, etc. This function provides the area of the current viewport which is safe to have interactible content. You should continue rendering into the rest of the render target, but it should not contain visually important or interactible content.

FUNCTION PARAMETERS

renderer
    the rendering context.

rect
    a pointer filled in with the area that is safe for interactive content.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.